Holger's Java API

## com.antelmann.util
Class NotificationListener.Adapter

    java.lang.Object
      com.antelmann.util.NotificationListener.Adapter

All Implemented Interfaces:
  NotificationListener, EventListener

Enclosing interface:
  NotificationListener

    public abstract static class NotificationListener.Adapter

extends Object
implements NotificationListener

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.NotificationListener
`NotificationListener.Adapter`

Constructor Summary
`NotificationListener.Adapter()`

Method Summary
`void` `notificationStopped(Object monitoredObject)` called to indicate that no more events will be delivered for the given object from the Notifier that delivered this.
`void` `notified(Object monitoredObject, EventObject event)` called when the Notifier received an event for the given monitored object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationListener.Adapter

    public NotificationListener.Adapter()

Method Detail

### notified

    public void notified(Object monitoredObject,
                         EventObject event)

  Description copied from interface: `NotificationListener`
  called when the Notifier received an event for the given monitored object

  Specified by:
    `notified` in interface `NotificationListener`

### notificationStopped

    public void notificationStopped(Object monitoredObject)

  Description copied from interface: `NotificationListener`
  called to indicate that no more events will be delivered for the given object from the Notifier that delivered this.

  Specified by:
    `notificationStopped` in interface `NotificationListener`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads